A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
所有类 所有程序包
所有类 所有程序包
所有类 所有程序包
S
- SALOAD - 接口 中的静态变量org.springframework.asm.Opcodes
- sameResourceFactory(ResourceTransactionManager, Object) - 类 中的静态方法org.springframework.transaction.support.TransactionSynchronizationUtils
- Check whether the given resource transaction managers refers to the given (underlying) resource factory.
- sameSite(String) - 接口 中的方法org.springframework.http.ResponseCookie.ResponseCookieBuilder
- Add the "SameSite" attribute to the cookie.
- SASTORE - 接口 中的静态变量org.springframework.asm.Opcodes
- save() - 类 中的方法org.springframework.mock.web.server.MockWebSession
- save() - 接口 中的方法org.springframework.web.server.WebSession
- Save the session through the
WebSessionStoreas follows: If the session is new (i.e. created but never persisted), it must have been started explicitly viaWebSession.start()or implicitly by adding attributes, or otherwise this method should have no effect. - save(Object) - 接口 中的方法org.springframework.orm.hibernate5.HibernateOperations
- Persist the given transient instance.
- save(Object) - 类 中的方法org.springframework.orm.hibernate5.HibernateTemplate
- save(String, Object) - 接口 中的方法org.springframework.orm.hibernate5.HibernateOperations
- Persist the given transient instance.
- save(String, Object) - 类 中的方法org.springframework.orm.hibernate5.HibernateTemplate
- saveOrUpdate(Object) - 接口 中的方法org.springframework.orm.hibernate5.HibernateOperations
- Save or update the given persistent instance, according to its id (matching the configured "unsaved-value"?).
- saveOrUpdate(Object) - 类 中的方法org.springframework.orm.hibernate5.HibernateTemplate
- saveOrUpdate(String, Object) - 接口 中的方法org.springframework.orm.hibernate5.HibernateOperations
- Save or update the given persistent instance, according to its id (matching the configured "unsaved-value"?).
- saveOrUpdate(String, Object) - 类 中的方法org.springframework.orm.hibernate5.HibernateTemplate
- saveOutputFlashMap(String, HttpServletRequest, HttpServletResponse) - 类 中的静态方法org.springframework.web.servlet.support.RequestContextUtils
- Convenience method that retrieves the
"output" FlashMap, updates it with the path and query params of the target URL, and then saves it using theFlashMapManager. - saveOutputFlashMap(FlashMap, HttpServletRequest, HttpServletResponse) - 接口 中的方法org.springframework.web.servlet.FlashMapManager
- Save the given FlashMap, in some underlying storage and set the start of its expiration period.
- saveOutputFlashMap(FlashMap, HttpServletRequest, HttpServletResponse) - 类 中的方法org.springframework.web.servlet.support.AbstractFlashMapManager
- SAVEPOINT_NAME_PREFIX - 类 中的静态变量org.springframework.jdbc.datasource.ConnectionHolder
- Prefix for savepoint names.
- SavepointManager - org.springframework.transaction中的接口
- Interface that specifies an API to programmatically manage transaction savepoints in a generic fashion.
- SaxResourceUtils - org.springframework.oxm.support中的类
- Convenient utility methods for dealing with SAX.
- SaxResourceUtils() - 类 的构造器org.springframework.oxm.support.SaxResourceUtils
- scan(String...) - 类 中的方法org.springframework.context.annotation.AnnotationConfigApplicationContext
- Perform a scan within the specified base packages.
- scan(String...) - 接口 中的方法org.springframework.context.annotation.AnnotationConfigRegistry
- Perform a scan within the specified base packages.
- scan(String...) - 类 中的方法org.springframework.context.annotation.ClassPathBeanDefinitionScanner
- Perform a scan within the specified base packages.
- scan(String...) - 类 中的方法org.springframework.web.context.support.AnnotationConfigWebApplicationContext
- Perform a scan within the specified base packages.
- ScannedGenericBeanDefinition - org.springframework.context.annotation中的类
- Extension of the
GenericBeanDefinitionclass, based on an ASM ClassReader, with support for annotation metadata exposed through theAnnotatedBeanDefinitioninterface. - ScannedGenericBeanDefinition(MetadataReader) - 类 的构造器org.springframework.context.annotation.ScannedGenericBeanDefinition
- Create a new ScannedGenericBeanDefinition for the class that the given MetadataReader describes.
- scanPackages(String...) - 类 中的方法org.springframework.orm.hibernate5.LocalSessionFactoryBuilder
- Perform Spring-based scanning for entity classes, registering them as annotated classes with this
Configuration. - scanUnsafe(Scannable.Attr) - 类 中的方法org.springframework.http.server.reactive.ChannelSendOperator
- schedule(Work) - 类 中的方法org.springframework.scheduling.commonj.WorkManagerTaskExecutor
- 已过时。
- schedule(Work, WorkListener) - 类 中的方法org.springframework.scheduling.commonj.WorkManagerTaskExecutor
- 已过时。
- schedule(Runnable, Instant) - 接口 中的方法org.springframework.scheduling.TaskScheduler
- Schedule the given
Runnable, invoking it at the specified execution time. - schedule(Runnable, Date) - 类 中的方法org.springframework.scheduling.commonj.TimerManagerTaskScheduler
- 已过时。
- schedule(Runnable, Date) - 类 中的方法org.springframework.scheduling.concurrent.ConcurrentTaskScheduler
- schedule(Runnable, Date) - 类 中的方法org.springframework.scheduling.concurrent.ThreadPoolTaskScheduler
- schedule(Runnable, Date) - 接口 中的方法org.springframework.scheduling.TaskScheduler
- Schedule the given
Runnable, invoking it at the specified execution time. - schedule(Runnable, Trigger) - 类 中的方法org.springframework.scheduling.commonj.TimerManagerTaskScheduler
- 已过时。
- schedule(Runnable, Trigger) - 类 中的方法org.springframework.scheduling.concurrent.ConcurrentTaskScheduler
- schedule(Runnable, Trigger) - 类 中的方法org.springframework.scheduling.concurrent.ThreadPoolTaskScheduler
- schedule(Runnable, Trigger) - 接口 中的方法org.springframework.scheduling.TaskScheduler
- Schedule the given
Runnable, invoking it whenever the trigger indicates a next execution time. - scheduleAtFixedRate(Runnable, long) - 类 中的方法org.springframework.scheduling.commonj.TimerManagerTaskScheduler
- 已过时。
- scheduleAtFixedRate(Runnable, long) - 类 中的方法org.springframework.scheduling.concurrent.ConcurrentTaskScheduler
- scheduleAtFixedRate(Runnable, long) - 类 中的方法org.springframework.scheduling.concurrent.ThreadPoolTaskScheduler
- scheduleAtFixedRate(Runnable, long) - 接口 中的方法org.springframework.scheduling.TaskScheduler
- Schedule the given
Runnable, starting as soon as possible and invoking it with the given period. - scheduleAtFixedRate(Runnable, Duration) - 接口 中的方法org.springframework.scheduling.TaskScheduler
- Schedule the given
Runnable, starting as soon as possible and invoking it with the given period. - scheduleAtFixedRate(Runnable, Instant, Duration) - 接口 中的方法org.springframework.scheduling.TaskScheduler
- Schedule the given
Runnable, invoking it at the specified execution time and subsequently with the given period. - scheduleAtFixedRate(Runnable, Date, long) - 类 中的方法org.springframework.scheduling.commonj.TimerManagerTaskScheduler
- 已过时。
- scheduleAtFixedRate(Runnable, Date, long) - 类 中的方法org.springframework.scheduling.concurrent.ConcurrentTaskScheduler
- scheduleAtFixedRate(Runnable, Date, long) - 类 中的方法org.springframework.scheduling.concurrent.ThreadPoolTaskScheduler
- scheduleAtFixedRate(Runnable, Date, long) - 接口 中的方法org.springframework.scheduling.TaskScheduler
- Schedule the given
Runnable, invoking it at the specified execution time and subsequently with the given period. - scheduleCronTask(CronTask) - 类 中的方法org.springframework.scheduling.config.ScheduledTaskRegistrar
- Schedule the specified cron task, either right away if possible or on initialization of the scheduler.
- Scheduled - org.springframework.scheduling.annotation中的注释类型
- Annotation that marks a method to be scheduled.
- SCHEDULED_ANNOTATION_PROCESSOR_BEAN_NAME - 类 中的静态变量org.springframework.scheduling.config.TaskManagementConfigUtils
- The bean name of the internally managed Scheduled annotation processor.
- ScheduledAnnotationBeanPostProcessor - org.springframework.scheduling.annotation中的类
- Bean post-processor that registers methods annotated with @
Scheduledto be invoked by aTaskScheduleraccording to the "fixedRate", "fixedDelay", or "cron" expression provided via the annotation. - ScheduledAnnotationBeanPostProcessor() - 类 的构造器org.springframework.scheduling.annotation.ScheduledAnnotationBeanPostProcessor
- Create a default
ScheduledAnnotationBeanPostProcessor. - ScheduledAnnotationBeanPostProcessor(ScheduledTaskRegistrar) - 类 的构造器org.springframework.scheduling.annotation.ScheduledAnnotationBeanPostProcessor
- Create a
ScheduledAnnotationBeanPostProcessordelegating to the specifiedScheduledTaskRegistrar. - scheduledAnnotationProcessor() - 类 中的方法org.springframework.scheduling.annotation.SchedulingConfiguration
- ScheduledExecutorFactoryBean - org.springframework.scheduling.concurrent中的类
FactoryBeanthat sets up aScheduledExecutorService(by default: aScheduledThreadPoolExecutor) and exposes it for bean references.- ScheduledExecutorFactoryBean() - 类 的构造器org.springframework.scheduling.concurrent.ScheduledExecutorFactoryBean
- ScheduledExecutorTask - org.springframework.scheduling.concurrent中的类
- JavaBean that describes a scheduled executor task, consisting of the
Runnableand a delay plus period. - ScheduledExecutorTask() - 类 的构造器org.springframework.scheduling.concurrent.ScheduledExecutorTask
- Create a new ScheduledExecutorTask, to be populated via bean properties.
- ScheduledExecutorTask(Runnable) - 类 的构造器org.springframework.scheduling.concurrent.ScheduledExecutorTask
- Create a new ScheduledExecutorTask, with default one-time execution without delay.
- ScheduledExecutorTask(Runnable, long) - 类 的构造器org.springframework.scheduling.concurrent.ScheduledExecutorTask
- Create a new ScheduledExecutorTask, with default one-time execution with the given delay.
- ScheduledExecutorTask(Runnable, long, long, boolean) - 类 的构造器org.springframework.scheduling.concurrent.ScheduledExecutorTask
- Create a new ScheduledExecutorTask.
- ScheduledMethodRunnable - org.springframework.scheduling.support中的类
- Variant of
MethodInvokingRunnablemeant to be used for processing of no-arg scheduled methods. - ScheduledMethodRunnable(Object, Method) - 类 的构造器org.springframework.scheduling.support.ScheduledMethodRunnable
- Create a
ScheduledMethodRunnablefor the given target instance, calling the specified method. - ScheduledMethodRunnable(Object, String) - 类 的构造器org.springframework.scheduling.support.ScheduledMethodRunnable
- Create a
ScheduledMethodRunnablefor the given target instance, calling the specified method by name. - ScheduledTask - org.springframework.scheduling.config中的类
- A representation of a scheduled task at runtime, used as a return value for scheduling methods.
- ScheduledTaskHolder - org.springframework.scheduling.config中的接口
- Common interface for exposing locally scheduled tasks.
- ScheduledTaskRegistrar - org.springframework.scheduling.config中的类
- Helper bean for registering tasks with a
TaskScheduler, typically using cron expressions. - ScheduledTaskRegistrar() - 类 的构造器org.springframework.scheduling.config.ScheduledTaskRegistrar
- ScheduledTasksBeanDefinitionParser - org.springframework.scheduling.config中的类
- Parser for the 'scheduled-tasks' element of the scheduling namespace.
- ScheduledTasksBeanDefinitionParser() - 类 的构造器org.springframework.scheduling.config.ScheduledTasksBeanDefinitionParser
- ScheduledTimerListener - org.springframework.scheduling.commonj中的类
- 已过时。as of 5.1, in favor of EE 7's
DefaultManagedTaskScheduler - ScheduledTimerListener() - 类 的构造器org.springframework.scheduling.commonj.ScheduledTimerListener
- 已过时。Create a new ScheduledTimerListener, to be populated via bean properties.
- ScheduledTimerListener(TimerListener) - 类 的构造器org.springframework.scheduling.commonj.ScheduledTimerListener
- 已过时。Create a new ScheduledTimerListener, with default one-time execution without delay.
- ScheduledTimerListener(TimerListener, long) - 类 的构造器org.springframework.scheduling.commonj.ScheduledTimerListener
- 已过时。Create a new ScheduledTimerListener, with default one-time execution with the given delay.
- ScheduledTimerListener(TimerListener, long, long, boolean) - 类 的构造器org.springframework.scheduling.commonj.ScheduledTimerListener
- 已过时。Create a new ScheduledTimerListener.
- ScheduledTimerListener(Runnable) - 类 的构造器org.springframework.scheduling.commonj.ScheduledTimerListener
- 已过时。Create a new ScheduledTimerListener, with default one-time execution without delay.
- ScheduledTimerListener(Runnable, long) - 类 的构造器org.springframework.scheduling.commonj.ScheduledTimerListener
- 已过时。Create a new ScheduledTimerListener, with default one-time execution with the given delay.
- ScheduledTimerListener(Runnable, long, long, boolean) - 类 的构造器org.springframework.scheduling.commonj.ScheduledTimerListener
- 已过时。Create a new ScheduledTimerListener.
- scheduleFixedDelayTask(FixedDelayTask) - 类 中的方法org.springframework.scheduling.config.ScheduledTaskRegistrar
- Schedule the specified fixed-delay task, either right away if possible or on initialization of the scheduler.
- scheduleFixedDelayTask(IntervalTask) - 类 中的方法org.springframework.scheduling.config.ScheduledTaskRegistrar
- 已过时。as of 5.0.2, in favor of
ScheduledTaskRegistrar.scheduleFixedDelayTask(FixedDelayTask) - scheduleFixedRateTask(FixedRateTask) - 类 中的方法org.springframework.scheduling.config.ScheduledTaskRegistrar
- Schedule the specified fixed-rate task, either right away if possible or on initialization of the scheduler.
- scheduleFixedRateTask(IntervalTask) - 类 中的方法org.springframework.scheduling.config.ScheduledTaskRegistrar
- 已过时。as of 5.0.2, in favor of
ScheduledTaskRegistrar.scheduleFixedRateTask(FixedRateTask) - scheduleHeartbeat() - 类 中的方法org.springframework.web.socket.sockjs.transport.session.AbstractSockJsSession
- scheduleNewInvokerIfAppropriate() - 类 中的方法org.springframework.jms.listener.DefaultMessageListenerContainer
- Schedule a new invoker, increasing the total number of scheduled invokers for this listener container, but only if the specified "maxConcurrentConsumers" limit has not been reached yet, and only if the specified "idleConsumerLimit" has not been reached either.
- SchedulerAccessor - org.springframework.scheduling.quartz中的类
- Common base class for accessing a Quartz Scheduler, i.e. for registering jobs, triggers and listeners on a
Schedulerinstance. - SchedulerAccessor() - 类 的构造器org.springframework.scheduling.quartz.SchedulerAccessor
- SchedulerAccessorBean - org.springframework.scheduling.quartz中的类
- Spring bean-style class for accessing a Quartz Scheduler, i.e. for registering jobs, triggers and listeners on a given
Schedulerinstance. - SchedulerAccessorBean() - 类 的构造器org.springframework.scheduling.quartz.SchedulerAccessorBean
- SchedulerBeanDefinitionParser - org.springframework.scheduling.config中的类
- Parser for the 'scheduler' element of the 'task' namespace.
- SchedulerBeanDefinitionParser() - 类 的构造器org.springframework.scheduling.config.SchedulerBeanDefinitionParser
- SchedulerContextAware - org.springframework.scheduling.quartz中的接口
- Callback interface to be implemented by Spring-managed Quartz artifacts that need access to the SchedulerContext (without having natural access to it).
- SchedulerFactoryBean - org.springframework.scheduling.quartz中的类
FactoryBeanthat creates and configures a QuartzScheduler, manages its lifecycle as part of the Spring application context, and exposes the Scheduler as bean reference for dependency injection.- SchedulerFactoryBean() - 类 的构造器org.springframework.scheduling.quartz.SchedulerFactoryBean
- Schedules - org.springframework.scheduling.annotation中的注释类型
- Container annotation that aggregates several
Scheduledannotations. - scheduleTasks() - 类 中的方法org.springframework.scheduling.config.ScheduledTaskRegistrar
- Schedule all registered tasks against the underlying task scheduler.
- scheduleTriggerTask(TriggerTask) - 类 中的方法org.springframework.scheduling.config.ScheduledTaskRegistrar
- Schedule the specified trigger task, either right away if possible or on initialization of the scheduler.
- scheduleWithFixedDelay(Runnable, long) - 类 中的方法org.springframework.scheduling.commonj.TimerManagerTaskScheduler
- 已过时。
- scheduleWithFixedDelay(Runnable, long) - 类 中的方法org.springframework.scheduling.concurrent.ConcurrentTaskScheduler
- scheduleWithFixedDelay(Runnable, long) - 类 中的方法org.springframework.scheduling.concurrent.ThreadPoolTaskScheduler
- scheduleWithFixedDelay(Runnable, long) - 接口 中的方法org.springframework.scheduling.TaskScheduler
- Schedule the given
Runnable, starting as soon as possible and invoking it with the given delay between the completion of one execution and the start of the next. - scheduleWithFixedDelay(Runnable, Duration) - 接口 中的方法org.springframework.scheduling.TaskScheduler
- Schedule the given
Runnable, starting as soon as possible and invoking it with the given delay between the completion of one execution and the start of the next. - scheduleWithFixedDelay(Runnable, Instant, Duration) - 接口 中的方法org.springframework.scheduling.TaskScheduler
- Schedule the given
Runnable, invoking it at the specified execution time and subsequently with the given delay between the completion of one execution and the start of the next. - scheduleWithFixedDelay(Runnable, Date, long) - 类 中的方法org.springframework.scheduling.commonj.TimerManagerTaskScheduler
- 已过时。
- scheduleWithFixedDelay(Runnable, Date, long) - 类 中的方法org.springframework.scheduling.concurrent.ConcurrentTaskScheduler
- scheduleWithFixedDelay(Runnable, Date, long) - 类 中的方法org.springframework.scheduling.concurrent.ThreadPoolTaskScheduler
- scheduleWithFixedDelay(Runnable, Date, long) - 接口 中的方法org.springframework.scheduling.TaskScheduler
- Schedule the given
Runnable, invoking it at the specified execution time and subsequently with the given delay between the completion of one execution and the start of the next. - scheduleWork(Work) - 类 中的方法org.springframework.jca.work.SimpleTaskWorkManager
- scheduleWork(Work) - 类 中的方法org.springframework.jca.work.WorkManagerTaskExecutor
- scheduleWork(Work, long, ExecutionContext, WorkListener) - 类 中的方法org.springframework.jca.work.SimpleTaskWorkManager
- scheduleWork(Work, long, ExecutionContext, WorkListener) - 类 中的方法org.springframework.jca.work.WorkManagerTaskExecutor
- SchedulingAwareRunnable - org.springframework.scheduling中的接口
- Extension of the Runnable interface, adding special callbacks for long-running operations.
- SchedulingConfiguration - org.springframework.scheduling.annotation中的类
@Configurationclass that registers aScheduledAnnotationBeanPostProcessorbean capable of processing Spring's @Scheduledannotation.- SchedulingConfiguration() - 类 的构造器org.springframework.scheduling.annotation.SchedulingConfiguration
- SchedulingConfigurer - org.springframework.scheduling.annotation中的接口
- Optional interface to be implemented by @
Configurationclasses annotated with @EnableScheduling. - SchedulingException - org.springframework.scheduling中的异常错误
- General exception to be thrown on scheduling failures, such as the scheduler already having shut down.
- SchedulingException(String) - 异常错误 的构造器org.springframework.scheduling.SchedulingException
- Constructor for SchedulingException.
- SchedulingException(String, Throwable) - 异常错误 的构造器org.springframework.scheduling.SchedulingException
- Constructor for SchedulingException.
- SchedulingTaskExecutor - org.springframework.scheduling中的接口
- A
TaskExecutorextension exposing scheduling characteristics that are relevant to potential task submitters. - schemaNameToUse(String) - 接口 中的方法org.springframework.jdbc.core.metadata.CallMetaDataProvider
- Provide any modification of the schema name passed in to match the meta-data currently used.
- schemaNameToUse(String) - 类 中的方法org.springframework.jdbc.core.metadata.GenericCallMetaDataProvider
- schemaNameToUse(String) - 类 中的方法org.springframework.jdbc.core.metadata.GenericTableMetaDataProvider
- schemaNameToUse(String) - 接口 中的方法org.springframework.jdbc.core.metadata.TableMetaDataProvider
- Get the schema name formatted based on meta-data information.
- scheme(String) - 接口 中的方法org.springframework.web.util.UriBuilder
- Set the URI scheme which may contain URI template variables, and may also be
nullto clear the scheme of this builder. - scheme(String) - 类 中的方法org.springframework.web.util.UriComponentsBuilder
- schemeSpecificPart(String) - 类 中的方法org.springframework.web.util.UriComponentsBuilder
- Set the URI scheme-specific-part.
- Scope - org.springframework.beans.factory.config中的接口
- Strategy interface used by a
ConfigurableBeanFactory, representing a target scope to hold bean instances in. - Scope - org.springframework.context.annotation中的注释类型
- When used as a type-level annotation in conjunction with
@Component,@Scopeindicates the name of a scope to use for instances of the annotated type. - SCOPE_APPLICATION - 接口 中的静态变量org.springframework.web.context.WebApplicationContext
- Scope identifier for the global web application scope: "application".
- SCOPE_APPLICATION - 类 中的静态变量org.springframework.web.util.TagUtils
- Constant identifying the application scope.
- SCOPE_ATTRIBUTE - 类 中的静态变量org.springframework.beans.factory.xml.BeanDefinitionParserDelegate
- SCOPE_DEFAULT - 类 中的静态变量org.springframework.beans.factory.support.AbstractBeanDefinition
- Constant for the default scope name:
"", equivalent to singleton status unless overridden from a parent bean definition (if applicable). - SCOPE_KEY - 类 中的静态变量org.springframework.beans.factory.support.PropertiesBeanDefinitionReader
- Special key to distinguish
owner.(scope)=prototype. - SCOPE_PAGE - 类 中的静态变量org.springframework.web.util.TagUtils
- Constant identifying the page scope.
- SCOPE_PROTOTYPE - 接口 中的静态变量org.springframework.beans.factory.config.BeanDefinition
- Scope identifier for the standard prototype scope: "prototype".
- SCOPE_PROTOTYPE - 接口 中的静态变量org.springframework.beans.factory.config.ConfigurableBeanFactory
- Scope identifier for the standard prototype scope: "prototype".
- SCOPE_REQUEST - 接口 中的静态变量org.springframework.web.context.request.RequestAttributes
- Constant that indicates request scope.
- SCOPE_REQUEST - 接口 中的静态变量org.springframework.web.context.WebApplicationContext
- Scope identifier for request scope: "request".
- SCOPE_REQUEST - 类 中的静态变量org.springframework.web.util.TagUtils
- Constant identifying the request scope.
- SCOPE_SESSION - 接口 中的静态变量org.springframework.web.context.request.RequestAttributes
- Constant that indicates session scope.
- SCOPE_SESSION - 接口 中的静态变量org.springframework.web.context.WebApplicationContext
- Scope identifier for session scope: "session".
- SCOPE_SESSION - 类 中的静态变量org.springframework.web.util.TagUtils
- Constant identifying the session scope.
- SCOPE_SINGLETON - 接口 中的静态变量org.springframework.beans.factory.config.BeanDefinition
- Scope identifier for the standard singleton scope: "singleton".
- SCOPE_SINGLETON - 接口 中的静态变量org.springframework.beans.factory.config.ConfigurableBeanFactory
- Scope identifier for the standard singleton scope: "singleton".
- scopeAnnotationType - 类 中的变量org.springframework.context.annotation.AnnotationScopeMetadataResolver
- ScopedObject - org.springframework.aop.scope中的接口
- An AOP introduction interface for scoped objects.
- scopedProxy() - 注释类型 中的方法org.springframework.context.annotation.ComponentScan
- Indicates whether proxies should be generated for detected components, which may be necessary when using scopes in a proxy-style fashion.
- ScopedProxyFactoryBean - org.springframework.aop.scope中的类
- Convenient proxy factory bean for scoped objects.
- ScopedProxyFactoryBean() - 类 的构造器org.springframework.aop.scope.ScopedProxyFactoryBean
- Create a new ScopedProxyFactoryBean instance.
- ScopedProxyMode - org.springframework.context.annotation中的枚举
- Enumerates the various scoped-proxy options.
- ScopedProxyUtils - org.springframework.aop.scope中的类
- Utility class for creating a scoped proxy.
- ScopedProxyUtils() - 类 的构造器org.springframework.aop.scope.ScopedProxyUtils
- ScopeMetadata - org.springframework.context.annotation中的类
- Describes scope characteristics for a Spring-managed bean including the scope name and the scoped-proxy behavior.
- ScopeMetadata() - 类 的构造器org.springframework.context.annotation.ScopeMetadata
- ScopeMetadataResolver - org.springframework.context.annotation中的接口
- Strategy interface for resolving the scope of bean definitions.
- scopeName() - 注释类型 中的方法org.springframework.context.annotation.Scope
- Specifies the name of the scope to use for the annotated component/bean.
- scopeResolver() - 注释类型 中的方法org.springframework.context.annotation.ComponentScan
- The
ScopeMetadataResolverto be used for resolving the scope of detected components. - ScriptCompilationException - org.springframework.scripting中的异常错误
- Exception to be thrown on script compilation failure.
- ScriptCompilationException(String) - 异常错误 的构造器org.springframework.scripting.ScriptCompilationException
- Constructor for ScriptCompilationException.
- ScriptCompilationException(String, Throwable) - 异常错误 的构造器org.springframework.scripting.ScriptCompilationException
- Constructor for ScriptCompilationException.
- ScriptCompilationException(ScriptSource, String) - 异常错误 的构造器org.springframework.scripting.ScriptCompilationException
- Constructor for ScriptCompilationException.
- ScriptCompilationException(ScriptSource, String, Throwable) - 异常错误 的构造器org.springframework.scripting.ScriptCompilationException
- Constructor for ScriptCompilationException.
- ScriptCompilationException(ScriptSource, Throwable) - 异常错误 的构造器org.springframework.scripting.ScriptCompilationException
- Constructor for ScriptCompilationException.
- ScriptEvaluator - org.springframework.scripting中的接口
- Spring's strategy interface for evaluating a script.
- ScriptException - org.springframework.jdbc.datasource.init中的异常错误
- Root of the hierarchy of data access exceptions that are related to processing of SQL scripts.
- ScriptException(String) - 异常错误 的构造器org.springframework.jdbc.datasource.init.ScriptException
- Constructor for
ScriptException. - ScriptException(String, Throwable) - 异常错误 的构造器org.springframework.jdbc.datasource.init.ScriptException
- Constructor for
ScriptException. - ScriptFactory - org.springframework.scripting中的接口
- Script definition interface, encapsulating the configuration of a specific script as well as a factory method for creating the actual scripted Java
Object. - ScriptFactoryPostProcessor - org.springframework.scripting.support中的类
BeanPostProcessorthat handlesScriptFactorydefinitions, replacing each factory with the actual scripted Java object generated by it.- ScriptFactoryPostProcessor() - 类 的构造器org.springframework.scripting.support.ScriptFactoryPostProcessor
- ScriptParseException - org.springframework.jdbc.datasource.init中的异常错误
- Thrown by
ScriptUtilsif an SQL script cannot be properly parsed. - ScriptParseException(String, EncodedResource) - 异常错误 的构造器org.springframework.jdbc.datasource.init.ScriptParseException
- Construct a new
ScriptParseException. - ScriptParseException(String, EncodedResource, Throwable) - 异常错误 的构造器org.springframework.jdbc.datasource.init.ScriptParseException
- Construct a new
ScriptParseException. - scripts() - 注释类型 中的方法org.springframework.test.context.jdbc.Sql
- The paths to the SQL scripts to execute.
- ScriptSource - org.springframework.scripting中的接口
- Interface that defines the source of a script.
- ScriptStatementFailedException - org.springframework.jdbc.datasource.init中的异常错误
- Thrown by
ScriptUtilsif a statement in an SQL script failed when executing it against the target database. - ScriptStatementFailedException(String, int, EncodedResource, Throwable) - 异常错误 的构造器org.springframework.jdbc.datasource.init.ScriptStatementFailedException
- Construct a new
ScriptStatementFailedException. - scriptTemplate() - 类 中的方法org.springframework.web.reactive.config.ViewResolverRegistry
- Register a script template view resolver with an empty default view name prefix and suffix.
- scriptTemplate() - 类 中的方法org.springframework.web.servlet.config.annotation.ViewResolverRegistry
- Register a script template view resolver with an empty default view name prefix and suffix.
- ScriptTemplateConfig - org.springframework.web.reactive.result.view.script中的接口
- Interface to be implemented by objects that configure and manage a JSR-223
ScriptEnginefor automatic lookup in a web environment. - ScriptTemplateConfig - org.springframework.web.servlet.view.script中的接口
- Interface to be implemented by objects that configure and manage a JSR-223
ScriptEnginefor automatic lookup in a web environment. - ScriptTemplateConfigurer - org.springframework.web.reactive.result.view.script中的类
- An implementation of the Spring WebFlux
ScriptTemplateConfigfor creating aScriptEnginefor use in a web application. - ScriptTemplateConfigurer - org.springframework.web.servlet.view.script中的类
- An implementation of Spring MVC's
ScriptTemplateConfigfor creating aScriptEnginefor use in a web application. - ScriptTemplateConfigurer() - 类 的构造器org.springframework.web.reactive.result.view.script.ScriptTemplateConfigurer
- Default constructor.
- ScriptTemplateConfigurer() - 类 的构造器org.springframework.web.servlet.view.script.ScriptTemplateConfigurer
- Default constructor.
- ScriptTemplateConfigurer(String) - 类 的构造器org.springframework.web.reactive.result.view.script.ScriptTemplateConfigurer
- Create a new ScriptTemplateConfigurer using the given engine name.
- ScriptTemplateConfigurer(String) - 类 的构造器org.springframework.web.servlet.view.script.ScriptTemplateConfigurer
- Create a new ScriptTemplateConfigurer using the given engine name.
- ScriptTemplateConfigurerBeanDefinitionParser - org.springframework.web.servlet.config中的类
- Parse the
<mvc:script-template-configurer>MVC namespace element and register aScriptTemplateConfigurerbean. - ScriptTemplateConfigurerBeanDefinitionParser() - 类 的构造器org.springframework.web.servlet.config.ScriptTemplateConfigurerBeanDefinitionParser
- ScriptTemplateView - org.springframework.web.reactive.result.view.script中的类
- An
AbstractUrlBasedViewsubclass designed to run any template library based on a JSR-223 script engine. - ScriptTemplateView - org.springframework.web.servlet.view.script中的类
- An
AbstractUrlBasedViewsubclass designed to run any template library based on a JSR-223 script engine. - ScriptTemplateView() - 类 的构造器org.springframework.web.reactive.result.view.script.ScriptTemplateView
- Constructor for use as a bean.
- ScriptTemplateView() - 类 的构造器org.springframework.web.servlet.view.script.ScriptTemplateView
- Constructor for use as a bean.
- ScriptTemplateView(String) - 类 的构造器org.springframework.web.reactive.result.view.script.ScriptTemplateView
- Create a new ScriptTemplateView with the given URL.
- ScriptTemplateView(String) - 类 的构造器org.springframework.web.servlet.view.script.ScriptTemplateView
- Create a new ScriptTemplateView with the given URL.
- ScriptTemplateViewResolver - org.springframework.web.reactive.result.view.script中的类
- Convenience subclass of
UrlBasedViewResolverthat supportsScriptTemplateViewand custom subclasses of it. - ScriptTemplateViewResolver - org.springframework.web.servlet.view.script中的类
- Convenience subclass of
UrlBasedViewResolverthat supportsScriptTemplateViewand custom subclasses of it. - ScriptTemplateViewResolver() - 类 的构造器org.springframework.web.reactive.result.view.script.ScriptTemplateViewResolver
- Sets the default
view classtoScriptTemplateViewResolver.requiredViewClass(): by defaultScriptTemplateView. - ScriptTemplateViewResolver() - 类 的构造器org.springframework.web.servlet.view.script.ScriptTemplateViewResolver
- Sets the default
view classtoScriptTemplateViewResolver.requiredViewClass(): by defaultScriptTemplateView. - ScriptTemplateViewResolver(String, String) - 类 的构造器org.springframework.web.reactive.result.view.script.ScriptTemplateViewResolver
- ScriptTemplateViewResolver(String, String) - 类 的构造器org.springframework.web.servlet.view.script.ScriptTemplateViewResolver
- ScriptUtils - org.springframework.jdbc.datasource.init中的类
- Generic utility methods for working with SQL scripts.
- ScriptUtils() - 类 的构造器org.springframework.jdbc.datasource.init.ScriptUtils
- SEC_WEBSOCKET_ACCEPT - 类 中的静态变量org.springframework.web.socket.WebSocketHttpHeaders
- SEC_WEBSOCKET_EXTENSIONS - 类 中的静态变量org.springframework.web.socket.WebSocketHttpHeaders
- SEC_WEBSOCKET_KEY - 类 中的静态变量org.springframework.web.socket.WebSocketHttpHeaders
- SEC_WEBSOCKET_PROTOCOL - 类 中的静态变量org.springframework.web.socket.WebSocketHttpHeaders
- SEC_WEBSOCKET_VERSION - 类 中的静态变量org.springframework.web.socket.WebSocketHttpHeaders
- secure(boolean) - 接口 中的方法org.springframework.http.ResponseCookie.ResponseCookieBuilder
- Add the "Secure" attribute to the cookie.
- secure(boolean) - 类 中的方法org.springframework.test.web.servlet.request.MockHttpServletRequestBuilder
- Set the secure property of the
ServletRequestindicating use of a secure channel, such as HTTPS. - secure(String, boolean) - 类 中的方法org.springframework.test.web.servlet.result.CookieResultMatchers
- Assert whether the cookie must be sent over a secure protocol or not.
- SecurityContextProvider - org.springframework.beans.factory.support中的接口
- Provider of the security context of the code running inside the bean factory.
- SEE_OTHER - org.springframework.http.HttpStatus
303 See Other.- seeOther(URI) - 接口 中的静态方法org.springframework.web.reactive.function.server.ServerResponse
- Create a builder with a 303 See Other status and a location header set to the given URI.
- seeOther(URI) - 接口 中的静态方法org.springframework.web.servlet.function.ServerResponse
- Create a builder with a 303 See Other status and a location header set to the given URI.
- Segment(int, int) - 类 的构造器org.springframework.util.ConcurrentReferenceHashMap.Segment
- select(MergedAnnotation<A>, MergedAnnotation<A>) - 接口 中的方法org.springframework.core.annotation.MergedAnnotationSelector
- Select the annotation that should be used.
- SELECTED_CONTENT_TYPE - 接口 中的静态变量org.springframework.web.servlet.View
- The
MediaTypeselected during content negotiation, which may be more specific than the one the View is configured with. - selectImports() - 接口 中的方法org.springframework.context.annotation.DeferredImportSelector.Group
- Return the
entriesof which class(es) should be imported for this group. - selectImports(AdviceMode) - 类 中的方法org.springframework.cache.annotation.CachingConfigurationSelector
- Returns
ProxyCachingConfigurationorAspectJCachingConfigurationforPROXYandASPECTJvalues ofEnableCaching.mode(), respectively. - selectImports(AdviceMode) - 类 中的方法org.springframework.context.annotation.AdviceModeImportSelector
- Determine which classes should be imported based on the given
AdviceMode. - selectImports(AdviceMode) - 类 中的方法org.springframework.scheduling.annotation.AsyncConfigurationSelector
- Returns
ProxyAsyncConfigurationorAspectJAsyncConfigurationforPROXYandASPECTJvalues ofEnableAsync.mode(), respectively. - selectImports(AdviceMode) - 类 中的方法org.springframework.transaction.annotation.TransactionManagementConfigurationSelector
- Returns
ProxyTransactionManagementConfigurationorAspectJ(Jta)TransactionManagementConfigurationforPROXYandASPECTJvalues ofEnableTransactionManagement.mode(), respectively. - selectImports(AnnotationMetadata) - 类 中的方法org.springframework.context.annotation.AdviceModeImportSelector
- This implementation resolves the type of annotation from generic metadata and validates that (a) the annotation is in fact present on the importing
@Configurationclass and (b) that the given annotation has an advice mode attribute of typeAdviceMode. - selectImports(AnnotationMetadata) - 接口 中的方法org.springframework.context.annotation.ImportSelector
- Select and return the names of which class(es) should be imported based on the
AnnotationMetadataof the importing @Configurationclass. - selectInvocableMethod(Method, Class<?>) - 类 中的静态方法org.springframework.aop.support.AopUtils
- Select an invocable method on the target type: either the given method itself if actually exposed on the target type, or otherwise a corresponding method on one of the target type's interfaces or on the target type itself.
- selectInvocableMethod(Method, Class<?>) - 类 中的静态方法org.springframework.core.MethodIntrospector
- Select an invocable method on the target type: either the given method itself if actually exposed on the target type, or otherwise a corresponding method on one of the target type's interfaces or on the target type itself.
- Selection - org.springframework.expression.spel.ast中的类
- Represents selection over a map or collection.
- Selection(boolean, int, int, int, SpelNodeImpl) - 类 的构造器org.springframework.expression.spel.ast.Selection
- selectMediaType(ServerWebExchange, Supplier<List<MediaType>>) - 类 中的方法org.springframework.web.reactive.result.HandlerResultHandlerSupport
- Select the best media type for the current request through a content negotiation algorithm.
- selectMethods(Class<?>, MethodIntrospector.MetadataLookup<T>) - 类 中的静态方法org.springframework.core.MethodIntrospector
- Select methods on the given target type based on the lookup of associated metadata.
- selectMethods(Class<?>, ReflectionUtils.MethodFilter) - 类 中的静态方法org.springframework.core.MethodIntrospector
- Select methods on the given target type based on a filter.
- selector() - 注释类型 中的方法org.springframework.jms.annotation.JmsListener
- The JMS message selector expression, if any.
- selectProtocol(List<String>, WebSocketHandler) - 类 中的方法org.springframework.web.socket.server.support.AbstractHandshakeHandler
- Perform the sub-protocol negotiation based on requested and supported sub-protocols.
- SelectTag - org.springframework.web.servlet.tags.form中的类
- The
<select>tag renders an HTML 'select' element. - SelectTag() - 类 的构造器org.springframework.web.servlet.tags.form.SelectTag
- self() - 类 中的方法org.springframework.test.web.servlet.setup.AbstractMockMvcBuilder
- SelfNaming - org.springframework.jmx.export.naming中的接口
- Interface that allows infrastructure components to provide their own
ObjectNames to theMBeanExporter. - send() - 接口 中的方法org.springframework.messaging.rsocket.RSocketRequester.RetrieveSpec
- Perform a
fireAndForget. - send(D, Message<?>) - 类 中的方法org.springframework.messaging.core.AbstractMessageSendingTemplate
- send(D, Message<?>) - 接口 中的方法org.springframework.messaging.core.MessageSendingOperations
- Send a message to the given destination.
- send(Object) - 类 中的方法org.springframework.web.servlet.mvc.method.annotation.ResponseBodyEmitter
- Write the given object to the response.
- send(Object) - 类 中的方法org.springframework.web.servlet.mvc.method.annotation.SseEmitter
- Send the object formatted as a single SSE "data" line.
- send(Object, MediaType) - 类 中的方法org.springframework.web.servlet.mvc.method.annotation.ResponseBodyEmitter
- Overloaded variant of
ResponseBodyEmitter.send(Object)that also accepts a MediaType hint for how to serialize the given Object. - send(Object, MediaType) - 类 中的方法org.springframework.web.servlet.mvc.method.annotation.SseEmitter
- Send the object formatted as a single SSE "data" line.
- send(String, Object) - 类 中的方法org.springframework.messaging.simp.stomp.DefaultStompSession
- send(String, Object) - 接口 中的方法org.springframework.messaging.simp.stomp.StompSession
- Send a message to the specified destination, converting the payload to a
byte[]with the help of aMessageConverter. - send(String, MessageCreator) - 接口 中的方法org.springframework.jms.core.JmsOperations
- Send a message to the specified destination.
- send(String, MessageCreator) - 类 中的方法org.springframework.jms.core.JmsTemplate
- send(String, Message<?>) - 接口 中的方法org.springframework.jms.core.JmsMessageOperations
- Send a message to the given destination.
- send(String, Message<?>) - 类 中的方法org.springframework.jms.core.JmsMessagingTemplate
- send(String, Message<?>) - 类 中的方法org.springframework.messaging.core.AbstractDestinationResolvingMessagingTemplate
- send(String, Message<?>) - 接口 中的方法org.springframework.messaging.core.DestinationResolvingMessageSendingOperations
- Resolve the given destination name to a destination and send a message to it.
- send(Destination, MessageCreator) - 接口 中的方法org.springframework.jms.core.JmsOperations
- Send a message to the specified destination.
- send(Destination, MessageCreator) - 类 中的方法org.springframework.jms.core.JmsTemplate
- send(MimeMessage) - 接口 中的方法org.springframework.mail.javamail.JavaMailSender
- Send the given JavaMail MIME message.
- send(MimeMessage) - 类 中的方法org.springframework.mail.javamail.JavaMailSenderImpl
- send(MimeMessage...) - 接口 中的方法org.springframework.mail.javamail.JavaMailSender
- Send the given array of JavaMail MIME messages in batch.
- send(MimeMessage...) - 类 中的方法org.springframework.mail.javamail.JavaMailSenderImpl
- send(Publisher<WebSocketMessage>) - 类 中的方法org.springframework.web.reactive.socket.adapter.AbstractListenerWebSocketSession
- send(Publisher<WebSocketMessage>) - 类 中的方法org.springframework.web.reactive.socket.adapter.AbstractWebSocketSession
- send(Publisher<WebSocketMessage>) - 类 中的方法org.springframework.web.reactive.socket.adapter.ReactorNettyWebSocketSession
- send(Publisher<WebSocketMessage>) - 接口 中的方法org.springframework.web.reactive.socket.WebSocketSession
- Give a source of outgoing messages, write the messages and return a
Mono<Void>that completes when the source completes and writing is done. - send(MessageCreator) - 接口 中的方法org.springframework.jms.core.JmsOperations
- Send a message to the default destination.
- send(MessageCreator) - 类 中的方法org.springframework.jms.core.JmsTemplate
- send(MimeMessagePreparator) - 接口 中的方法org.springframework.mail.javamail.JavaMailSender
- Send the JavaMail MIME message prepared by the given MimeMessagePreparator.
- send(MimeMessagePreparator) - 类 中的方法org.springframework.mail.javamail.JavaMailSenderImpl
- send(MimeMessagePreparator...) - 接口 中的方法org.springframework.mail.javamail.JavaMailSender
- Send the JavaMail MIME messages prepared by the given MimeMessagePreparators.
- send(MimeMessagePreparator...) - 类 中的方法org.springframework.mail.javamail.JavaMailSenderImpl
- send(SimpleMailMessage) - 类 中的方法org.springframework.mail.javamail.JavaMailSenderImpl
- send(SimpleMailMessage) - 接口 中的方法org.springframework.mail.MailSender
- Send the given simple mail message.
- send(SimpleMailMessage...) - 类 中的方法org.springframework.mail.javamail.JavaMailSenderImpl
- send(SimpleMailMessage...) - 接口 中的方法org.springframework.mail.MailSender
- Send the given array of simple mail messages in batch.
- send(Message<?>) - 类 中的方法org.springframework.jms.core.JmsMessagingTemplate
- send(Message<?>) - 类 中的方法org.springframework.messaging.core.AbstractMessageSendingTemplate
- send(Message<?>) - 接口 中的方法org.springframework.messaging.core.MessageSendingOperations
- Send a message to a default destination.
- send(Message<?>) - 接口 中的方法org.springframework.messaging.MessageChannel
- Send a
Messageto this channel. - send(Message<?>) - 类 中的方法org.springframework.messaging.simp.SimpMessagingTemplate
- If the headers of the given message already contain a
SimpMessageHeaderAccessor#DESTINATION_HEADERthen the message is sent without further changes. - send(Message<?>) - 类 中的方法org.springframework.messaging.support.AbstractMessageChannel
- send(Message<?>, long) - 接口 中的方法org.springframework.messaging.MessageChannel
- Send a message, blocking until either the message is accepted or the specified timeout period elapses.
- send(Message<?>, long) - 类 中的方法org.springframework.messaging.support.AbstractMessageChannel
- send(Message<P>) - 类 中的方法org.springframework.messaging.tcp.reactor.ReactorNettyTcpConnection
- send(Message<P>) - 接口 中的方法org.springframework.messaging.tcp.TcpConnection
- Send the given message.
- send(StompHeaders, Object) - 类 中的方法org.springframework.messaging.simp.stomp.DefaultStompSession
- send(StompHeaders, Object) - 接口 中的方法org.springframework.messaging.simp.stomp.StompSession
- An overloaded version of
StompSession.send(String, Object)with fullStompHeadersinstead of just a destination. - send(SseEmitter.SseEventBuilder) - 类 中的方法org.springframework.web.servlet.mvc.method.annotation.SseEmitter
- Send an SSE event prepared with the given builder.
- SEND - org.springframework.messaging.simp.stomp.StompCommand
- sendAndReceive(D, Message<?>) - 类 中的方法org.springframework.messaging.core.AbstractMessagingTemplate
- sendAndReceive(D, Message<?>) - 接口 中的方法org.springframework.messaging.core.MessageRequestReplyOperations
- Send a request message and receive the reply from the given destination.
- sendAndReceive(String, MessageCreator) - 接口 中的方法org.springframework.jms.core.JmsOperations
- Send a message and receive the reply from the specified destination.
- sendAndReceive(String, MessageCreator) - 类 中的方法org.springframework.jms.core.JmsTemplate
- sendAndReceive(String, Message<?>) - 接口 中的方法org.springframework.jms.core.JmsMessageOperations
- Send a request message and receive the reply from the given destination.
- sendAndReceive(String, Message<?>) - 类 中的方法org.springframework.jms.core.JmsMessagingTemplate
- sendAndReceive(String, Message<?>) - 类 中的方法org.springframework.messaging.core.AbstractDestinationResolvingMessagingTemplate
- sendAndReceive(String, Message<?>) - 接口 中的方法org.springframework.messaging.core.DestinationResolvingMessageRequestReplyOperations
- Resolve the given destination name to a destination and send the given message, receive a reply and return it.
- sendAndReceive(Destination, MessageCreator) - 接口 中的方法org.springframework.jms.core.JmsOperations
- Send a message and receive the reply from the specified destination.
- sendAndReceive(Destination, MessageCreator) - 类 中的方法org.springframework.jms.core.JmsTemplate
- sendAndReceive(MessageCreator) - 接口 中的方法org.springframework.jms.core.JmsOperations
- Send a request message and receive the reply from a default destination.
- sendAndReceive(MessageCreator) - 类 中的方法org.springframework.jms.core.JmsTemplate
- sendAndReceive(Message<?>) - 类 中的方法org.springframework.jms.core.JmsMessagingTemplate
- sendAndReceive(Message<?>) - 类 中的方法org.springframework.messaging.core.AbstractMessagingTemplate
- sendAndReceive(Message<?>) - 接口 中的方法org.springframework.messaging.core.MessageRequestReplyOperations
- Send a request message and receive the reply from a default destination.
- sendBinaryMessage(BinaryMessage) - 类 中的方法org.springframework.web.socket.adapter.AbstractWebSocketSession
- sendBinaryMessage(BinaryMessage) - 类 中的方法org.springframework.web.socket.adapter.jetty.JettyWebSocketSession
- sendBinaryMessage(BinaryMessage) - 类 中的方法org.springframework.web.socket.adapter.standard.StandardWebSocketSession
- sendError(int) - 类 中的方法org.springframework.mock.web.MockHttpServletResponse
- sendError(int) - 类 中的方法org.springframework.web.util.ContentCachingResponseWrapper
- sendError(int, String) - 类 中的方法org.springframework.mock.web.MockHttpServletResponse
- sendError(int, String) - 类 中的方法org.springframework.web.util.ContentCachingResponseWrapper
- sendHeartbeat() - 类 中的方法org.springframework.web.socket.sockjs.transport.session.AbstractSockJsSession
- sendInternal(Message<?>, long) - 类 中的方法org.springframework.messaging.support.AbstractMessageChannel
- sendInternal(Message<?>, long) - 类 中的方法org.springframework.messaging.support.ExecutorSubscribableChannel
- sendInternal(TextMessage) - 类 中的方法org.springframework.web.socket.sockjs.client.AbstractClientSockJsSession
- sendInternal(TextMessage) - 类 中的方法org.springframework.web.socket.sockjs.client.WebSocketClientSockJsSession
- sendInternal(TextMessage) - 类 中的方法org.springframework.web.socket.sockjs.client.XhrClientSockJsSession
- sendMessage(WebSocketMessage) - 类 中的方法org.springframework.web.reactive.socket.adapter.AbstractListenerWebSocketSession
- Send the given WebSocket message.
- sendMessage(WebSocketMessage) - 类 中的方法org.springframework.web.reactive.socket.adapter.JettyWebSocketSession
- sendMessage(WebSocketMessage) - 类 中的方法org.springframework.web.reactive.socket.adapter.StandardWebSocketSession
- sendMessage(WebSocketMessage) - 类 中的方法org.springframework.web.reactive.socket.adapter.UndertowWebSocketSession
- sendMessage(WebSocketMessage<?>) - 类 中的方法org.springframework.web.socket.adapter.AbstractWebSocketSession
- sendMessage(WebSocketMessage<?>) - 类 中的方法org.springframework.web.socket.handler.ConcurrentWebSocketSessionDecorator
- sendMessage(WebSocketMessage<?>) - 类 中的方法org.springframework.web.socket.handler.WebSocketSessionDecorator
- sendMessage(WebSocketMessage<?>) - 类 中的方法org.springframework.web.socket.sockjs.client.AbstractClientSockJsSession
- sendMessage(WebSocketMessage<?>) - 类 中的方法org.springframework.web.socket.sockjs.transport.session.AbstractSockJsSession
- sendMessage(WebSocketMessage<?>) - 接口 中的方法org.springframework.web.socket.WebSocketSession
- Send a WebSocket message: either
TextMessageorBinaryMessage. - sendMessageInternal(String) - 类 中的方法org.springframework.web.socket.sockjs.transport.session.AbstractHttpSockJsSession
- sendMessageInternal(String) - 类 中的方法org.springframework.web.socket.sockjs.transport.session.AbstractSockJsSession
- sendMessageInternal(String) - 类 中的方法org.springframework.web.socket.sockjs.transport.session.WebSocketServerSockJsSession
- sendMessageToSubscribers(String, Message<?>) - 类 中的方法org.springframework.messaging.simp.broker.SimpleBrokerMessageHandler
- sendMethodNotAllowed(ServerHttpResponse, HttpMethod...) - 类 中的方法org.springframework.web.socket.sockjs.support.AbstractSockJsService
- sendNotification(Notification) - 类 中的方法org.springframework.jmx.export.notification.ModelMBeanNotificationPublisher
- Send the supplied
Notificationusing the wrappedModelMBeaninstance. - sendNotification(Notification) - 接口 中的方法org.springframework.jmx.export.notification.NotificationPublisher
- Send the specified
Notificationto all registeredNotificationListeners. - sendPingMessage(PingMessage) - 类 中的方法org.springframework.web.socket.adapter.AbstractWebSocketSession
- sendPingMessage(PingMessage) - 类 中的方法org.springframework.web.socket.adapter.jetty.JettyWebSocketSession
- sendPingMessage(PingMessage) - 类 中的方法org.springframework.web.socket.adapter.standard.StandardWebSocketSession
- sendPongMessage(PongMessage) - 类 中的方法org.springframework.web.socket.adapter.AbstractWebSocketSession
- sendPongMessage(PongMessage) - 类 中的方法org.springframework.web.socket.adapter.jetty.JettyWebSocketSession
- sendPongMessage(PongMessage) - 类 中的方法org.springframework.web.socket.adapter.standard.StandardWebSocketSession
- sendRedirect(String) - 类 中的方法org.springframework.mock.web.MockHttpServletResponse
- sendRedirect(String) - 类 中的方法org.springframework.web.util.ContentCachingResponseWrapper
- sendRedirect(String, ServerWebExchange) - 类 中的方法org.springframework.web.reactive.result.view.RedirectView
- Send a redirect back to the HTTP client.
- sendRedirect(HttpServletRequest, HttpServletResponse, String, boolean) - 类 中的方法org.springframework.web.servlet.view.RedirectView
- Send a redirect back to the HTTP client.
- sendResponse(Session, Destination, Message) - 类 中的方法org.springframework.jms.listener.adapter.AbstractAdaptableMessageListener
- Send the given response message to the given destination.
- sendServerError(Exception, HttpServletRequest, HttpServletResponse) - 类 中的方法org.springframework.web.servlet.mvc.support.DefaultHandlerExceptionResolver
- Invoked to send a server error.
- sendsNoCacheInstruction() - 枚举 中的方法org.springframework.web.socket.sockjs.transport.TransportType
- sendsSessionCookie() - 枚举 中的方法org.springframework.web.socket.sockjs.transport.TransportType
- sendTextMessage(TextMessage) - 类 中的方法org.springframework.web.socket.adapter.AbstractWebSocketSession
- sendTextMessage(TextMessage) - 类 中的方法org.springframework.web.socket.adapter.jetty.JettyWebSocketSession
- sendTextMessage(TextMessage) - 类 中的方法org.springframework.web.socket.adapter.standard.StandardWebSocketSession
- SendTo - org.springframework.messaging.handler.annotation中的注释类型
- Annotation that indicates a method's return value should be converted to a
Messageif necessary and sent to the specified destination. - SendToMethodReturnValueHandler - org.springframework.messaging.simp.annotation.support中的类
- A
HandlerMethodReturnValueHandlerfor sending to destinations specified in aSendToorSendToUsermethod-level annotations. - SendToMethodReturnValueHandler(SimpMessageSendingOperations, boolean) - 类 的构造器org.springframework.messaging.simp.annotation.support.SendToMethodReturnValueHandler
- SendToUser - org.springframework.messaging.simp.annotation中的注释类型
- Indicates the return value of a message-handling method should be sent as a
Messageto the specified destination(s) further prepended with"/user/{username}"where the user name is extracted from the headers of the input message being handled. - separator() - 类 中的方法org.springframework.http.server.PathContainer.Options
- separator() - 注释类型 中的方法org.springframework.test.context.jdbc.SqlConfig
- The character string used to separate individual statements within the SQL scripts.
- SEPARATOR - 类 中的静态变量org.springframework.aop.framework.autoproxy.DefaultAdvisorAutoProxyCreator
- Separator between prefix and remainder of bean name.
- SEPARATOR - 类 中的静态变量org.springframework.beans.factory.support.PropertiesBeanDefinitionReader
- Separator between bean name and property name.
- SEPARATOR - 类 中的静态变量org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMethodMappingNamingStrategy
- Separator between the type and method-level parts of a HandlerMethod mapping name.
- SERIALIZABLE - org.springframework.transaction.annotation.Isolation
- A constant indicating that dirty reads, non-repeatable reads and phantom reads are prevented.
- SerializationDelegate - org.springframework.core.serializer.support中的类
- A convenient delegate with pre-arranged configuration state for common serialization needs.
- SerializationDelegate(ClassLoader) - 类 的构造器org.springframework.core.serializer.support.SerializationDelegate
- Create a
SerializationDelegatewith a default serializer/deserializer for the givenClassLoader. - SerializationDelegate(Serializer<Object>, Deserializer<Object>) - 类 的构造器org.springframework.core.serializer.support.SerializationDelegate
- Create a
SerializationDelegatewith the given serializer/deserializer. - SerializationFailedException - org.springframework.core.serializer.support中的异常错误
- Wrapper for the native IOException (or similar) when a
SerializerorDeserializerfailed. - SerializationFailedException(String) - 异常错误 的构造器org.springframework.core.serializer.support.SerializationFailedException
- Construct a
SerializationExceptionwith the specified detail message. - SerializationFailedException(String, Throwable) - 异常错误 的构造器org.springframework.core.serializer.support.SerializationFailedException
- Construct a
SerializationExceptionwith the specified detail message and nested exception. - serializationInclusion(JsonInclude.Include) - 类 中的方法org.springframework.http.converter.json.Jackson2ObjectMapperBuilder
- Set a custom inclusion strategy for serialization.
- SerializationUtils - org.springframework.util中的类
- Static utilities for serialization and deserialization.
- SerializationUtils() - 类 的构造器org.springframework.util.SerializationUtils
- serialize(Object) - 类 中的静态方法org.springframework.util.SerializationUtils
- Serialize the given object to a byte array.
- serialize(Object, OutputStream) - 类 中的方法org.springframework.core.serializer.DefaultSerializer
- Writes the source object to an output stream using Java serialization.
- serialize(Object, OutputStream) - 类 中的方法org.springframework.core.serializer.support.SerializationDelegate
- serialize(T, OutputStream) - 接口 中的方法org.springframework.core.serializer.Serializer
- Write an object of type T to the given OutputStream.
- serializeForm(MultiValueMap<String, Object>, Charset) - 类 中的方法org.springframework.http.converter.FormHttpMessageConverter
- serializeForm(MultiValueMap<String, String>, Charset) - 类 中的方法org.springframework.http.codec.FormHttpMessageWriter
- Serializer<T> - org.springframework.core.serializer中的接口
- A strategy interface for streaming an object to an OutputStream.
- serializerByType(Class<?>, JsonSerializer<?>) - 类 中的方法org.springframework.http.converter.json.Jackson2ObjectMapperBuilder
- Configure a custom serializer for the given type.
- serializerInstance(SerializationConfig, Annotated, Class<?>) - 类 中的方法org.springframework.http.converter.json.SpringHandlerInstantiator
- serializers(JsonSerializer<?>...) - 类 中的方法org.springframework.http.converter.json.Jackson2ObjectMapperBuilder
- Configure custom serializers.
- serializersByType(Map<Class<?>, JsonSerializer<?>>) - 类 中的方法org.springframework.http.converter.json.Jackson2ObjectMapperBuilder
- Configure custom serializers for the given types.
- serializeState() - 类 中的方法org.springframework.mock.web.MockHttpSession
- Serialize the attributes of this session into an object that can be turned into a byte array with standard Java serialization.
- serializeToByteArray(T) - 接口 中的方法org.springframework.core.serializer.Serializer
- Turn an object of type T into a serialized byte array.
- SerializingConverter - org.springframework.core.serializer.support中的类
- A
Converterthat delegates to aSerializerto convert an object to a byte array. - SerializingConverter() - 类 的构造器org.springframework.core.serializer.support.SerializingConverter
- Create a default
SerializingConverterthat uses standard Java serialization. - SerializingConverter(Serializer<Object>) - 类 的构造器org.springframework.core.serializer.support.SerializingConverter
- Create a
SerializingConverterthat delegates to the providedSerializer. - series() - 枚举 中的方法org.springframework.http.HttpStatus
- Return the HTTP status series of this status code.
- server - 类 中的变量org.springframework.jmx.support.MBeanRegistrationSupport
- The
MBeanServerinstance being used to register beans. - server() - 注释类型 中的方法org.springframework.context.annotation.EnableMBeanExport
- The bean name of the MBeanServer to which MBeans should be exported.
- SERVER - 类 中的静态变量org.springframework.http.HttpHeaders
- The HTTP
Serverheader field name. - SERVER - 类 中的静态变量org.springframework.messaging.simp.stomp.StompHeaders
- SERVER_CODEC_CONFIGURER_BEAN_NAME - 类 中的静态变量org.springframework.web.server.adapter.WebHttpHandlerBuilder
- Well-known name for the ServerCodecConfigurer in the bean factory.
- SERVER_ERROR - org.springframework.http.HttpStatus.Series
- SERVER_ERROR - 类 中的静态变量org.springframework.web.reactive.socket.CloseStatus
- "1011 indicates that a server is terminating the connection because it encountered an unexpected condition that prevented it from fulfilling the request."
- SERVER_ERROR - 类 中的静态变量org.springframework.web.socket.CloseStatus
- "1011 indicates that a server is terminating the connection because it encountered an unexpected condition that prevented it from fulfilling the request."
- serverCodecConfigurer() - 类 中的方法org.springframework.web.reactive.config.WebFluxConfigurationSupport
- Return the configurer for HTTP message readers and writers.
- ServerCodecConfigurer - org.springframework.http.codec中的接口
- Extension of
CodecConfigurerfor HTTP message reader and writer options relevant on the server side. - ServerCodecConfigurer.ServerDefaultCodecs - org.springframework.http.codec中的接口
CodecConfigurer.DefaultCodecsextension with extra client-side options.- ServerEndpointExporter - org.springframework.web.socket.server.standard中的类
- Detects beans of type
ServerEndpointConfigand registers with the standard Java WebSocket runtime. - ServerEndpointExporter() - 类 的构造器org.springframework.web.socket.server.standard.ServerEndpointExporter
- ServerEndpointRegistration - org.springframework.web.socket.server.standard中的类
- An implementation of
ServerEndpointConfigfor use in Spring-based applications. - ServerEndpointRegistration(String, Class<? extends Endpoint>) - 类 的构造器org.springframework.web.socket.server.standard.ServerEndpointRegistration
- Create a new
ServerEndpointRegistrationinstance from anjavax.websocket.Endpointclass. - ServerEndpointRegistration(String, Endpoint) - 类 的构造器org.springframework.web.socket.server.standard.ServerEndpointRegistration
- Create a new
ServerEndpointRegistrationinstance from anjavax.websocket.Endpointinstance. - ServerErrorException - org.springframework.web.server中的异常错误
- Exception for an
HttpStatus.INTERNAL_SERVER_ERRORthat exposes extra information about a controller method that failed, or a controller method argument that could not be resolved. - ServerErrorException(String) - 异常错误 的构造器org.springframework.web.server.ServerErrorException
- 已过时。in favor of
ServerErrorException(String, Throwable) - ServerErrorException(String, Method, Throwable) - 异常错误 的构造器org.springframework.web.server.ServerErrorException
- Constructor for a 500 error with a handler
Methodand an optional cause. - ServerErrorException(String, Throwable) - 异常错误 的构造器org.springframework.web.server.ServerErrorException
- Constructor for a 500 error with a reason and an optional cause.
- ServerErrorException(String, MethodParameter) - 异常错误 的构造器org.springframework.web.server.ServerErrorException
- 已过时。
- ServerErrorException(String, MethodParameter, Throwable) - 异常错误 的构造器org.springframework.web.server.ServerErrorException
- Constructor for a 500 error with a
MethodParameterand an optional cause. - ServerHttpAsyncRequestControl - org.springframework.http.server中的接口
- A control that can put the processing of an HTTP request in asynchronous mode during which the response remains open until explicitly closed.
- ServerHttpRequest - org.springframework.http.server.reactive中的接口
- Represents a reactive server-side HTTP request.
- ServerHttpRequest - org.springframework.http.server中的接口
- Represents a server-side HTTP request.
- ServerHttpRequest.Builder - org.springframework.http.server.reactive中的接口
- Builder for mutating an existing
ServerHttpRequest. - ServerHttpRequestDecorator - org.springframework.http.server.reactive中的类
- Wraps another
ServerHttpRequestand delegates all methods to it. - ServerHttpRequestDecorator(ServerHttpRequest) - 类 的构造器org.springframework.http.server.reactive.ServerHttpRequestDecorator
- ServerHttpResponse - org.springframework.http.server.reactive中的接口
- Represents a reactive server-side HTTP response.
- ServerHttpResponse - org.springframework.http.server中的接口
- Represents a server-side HTTP response.
- ServerHttpResponseDecorator - org.springframework.http.server.reactive中的类
- Wraps another
ServerHttpResponseand delegates all methods to it. - ServerHttpResponseDecorator(ServerHttpResponse) - 类 的构造器org.springframework.http.server.reactive.ServerHttpResponseDecorator
- serverRequest() - 接口 中的方法org.springframework.web.reactive.function.BodyInserter.Context
- Optionally return the
ServerHttpRequest, if present. - ServerRequest - org.springframework.web.reactive.function.server中的接口
- Represents a server-side HTTP request, as handled by a
HandlerFunction. - ServerRequest - org.springframework.web.servlet.function中的接口
- Represents a server-side HTTP request, as handled by a
HandlerFunction. - ServerRequest.Builder - org.springframework.web.reactive.function.server中的接口
- Defines a builder for a request.
- ServerRequest.Builder - org.springframework.web.servlet.function中的接口
- Defines a builder for a request.
- ServerRequest.Headers - org.springframework.web.reactive.function.server中的接口
- Represents the headers of the HTTP request.
- ServerRequest.Headers - org.springframework.web.servlet.function中的接口
- Represents the headers of the HTTP request.
- ServerRequestWrapper - org.springframework.web.reactive.function.server.support中的类
- Implementation of the
ServerRequestinterface that can be subclassed to adapt the request in ahandler filter function. - ServerRequestWrapper(ServerRequest) - 类 的构造器org.springframework.web.reactive.function.server.support.ServerRequestWrapper
- Create a new
ServerRequestWrapperthat wraps the given request. - ServerRequestWrapper.HeadersWrapper - org.springframework.web.reactive.function.server.support中的类
- Implementation of the
Headersinterface that can be subclassed to adapt the headers in ahandler filter function. - serverResponse() - 接口 中的方法org.springframework.web.reactive.function.BodyExtractor.Context
- Optionally return the
ServerHttpResponse, if present. - ServerResponse - org.springframework.web.reactive.function.server中的接口
- Represents a typed server-side HTTP response, as returned by a handler function or filter function.
- ServerResponse - org.springframework.web.servlet.function中的接口
- Represents a typed server-side HTTP response, as returned by a handler function or filter function.
- ServerResponse.BodyBuilder - org.springframework.web.reactive.function.server中的接口
- Defines a builder that adds a body to the response.
- ServerResponse.BodyBuilder - org.springframework.web.servlet.function中的接口
- Defines a builder that adds a body to the response.
- ServerResponse.Context - org.springframework.web.reactive.function.server中的接口
- Defines the context used during the
ServerResponse.writeTo(ServerWebExchange, Context). - ServerResponse.Context - org.springframework.web.servlet.function中的接口
- Defines the context used during the
ServerResponse.writeTo(HttpServletRequest, HttpServletResponse, Context). - ServerResponse.HeadersBuilder<B extends ServerResponse.HeadersBuilder<B>> - org.springframework.web.reactive.function.server中的接口
- Defines a builder that adds headers to the response.
- ServerResponse.HeadersBuilder<B extends ServerResponse.HeadersBuilder<B>> - org.springframework.web.servlet.function中的接口
- Defines a builder that adds headers to the response.
- serverResponseResultHandler(ServerCodecConfigurer) - 类 中的方法org.springframework.web.reactive.config.WebFluxConfigurationSupport
- ServerResponseResultHandler - org.springframework.web.reactive.function.server.support中的类
HandlerResultHandlerimplementation that supportsServerResponses.- ServerResponseResultHandler() - 类 的构造器org.springframework.web.reactive.function.server.support.ServerResponseResultHandler
- ServerSentEvent<T> - org.springframework.http.codec中的类
- Representation for a Server-Sent Event for use with Spring's reactive Web support.
- ServerSentEvent.Builder<T> - org.springframework.http.codec中的接口
- A mutable builder for a
SseEvent. - serverSentEventDecoder(Decoder<?>) - 接口 中的方法org.springframework.http.codec.ClientCodecConfigurer.ClientDefaultCodecs
- Configure the
Decoderto use for Server-Sent Events. - serverSentEventEncoder(Encoder<?>) - 接口 中的方法org.springframework.http.codec.ServerCodecConfigurer.ServerDefaultCodecs
- Configure the
Encoderto use for Server-Sent Events. - ServerSentEventHttpMessageReader - org.springframework.http.codec中的类
- Reader that supports a stream of
ServerSentEventsand also plainObjectswhich is the same as anServerSentEventwith data only. - ServerSentEventHttpMessageReader() - 类 的构造器org.springframework.http.codec.ServerSentEventHttpMessageReader
- Constructor without a
Decoder. - ServerSentEventHttpMessageReader(Decoder<?>) - 类 的构造器org.springframework.http.codec.ServerSentEventHttpMessageReader
- Constructor with JSON
Decoderfor decoding to Objects. - ServerSentEventHttpMessageWriter - org.springframework.http.codec中的类
HttpMessageWriterfor"text/event-stream"responses.- ServerSentEventHttpMessageWriter() - 类 的构造器org.springframework.http.codec.ServerSentEventHttpMessageWriter
- Constructor without an
Encoder. - ServerSentEventHttpMessageWriter(Encoder<?>) - 类 的构造器org.springframework.http.codec.ServerSentEventHttpMessageWriter
- Constructor with JSON
Encoderfor encoding objects. - ServerWebExchange - org.springframework.web.server中的接口
- Contract for an HTTP request-response interaction.
- ServerWebExchange.Builder - org.springframework.web.server中的接口
- Builder for mutating an existing
ServerWebExchange. - ServerWebExchangeContextFilter - org.springframework.web.filter.reactive中的类
- Inserts an attribute in the Reactor
Contextthat makes the currentServerWebExchangeavailable under the attribute nameServerWebExchangeContextFilter.EXCHANGE_CONTEXT_ATTRIBUTE. - ServerWebExchangeContextFilter() - 类 的构造器org.springframework.web.filter.reactive.ServerWebExchangeContextFilter
- ServerWebExchangeDecorator - org.springframework.web.server中的类
- A convenient base class for classes that need to wrap another
ServerWebExchange. - ServerWebExchangeDecorator(ServerWebExchange) - 类 的构造器org.springframework.web.server.ServerWebExchangeDecorator
- ServerWebExchangeMethodArgumentResolver - org.springframework.web.reactive.result.method.annotation中的类
- Resolves ServerWebExchange-related method argument values of the following types:
ServerWebExchangeServerHttpRequestServerHttpResponseHttpMethodLocaleTimeZoneZoneIdUriBuilderorUriComponentsBuilder-- for building URL's relative to the current request - ServerWebExchangeMethodArgumentResolver(ReactiveAdapterRegistry) - 类 的构造器org.springframework.web.reactive.result.method.annotation.ServerWebExchangeMethodArgumentResolver
- ServerWebInputException - org.springframework.web.server中的异常错误
- Exception for errors that fit response status 400 (bad request) for use in Spring Web applications.
- ServerWebInputException(String) - 异常错误 的构造器org.springframework.web.server.ServerWebInputException
- Constructor with an explanation only.
- ServerWebInputException(String, MethodParameter) - 异常错误 的构造器org.springframework.web.server.ServerWebInputException
- Constructor for a 400 error linked to a specific
MethodParameter. - ServerWebInputException(String, MethodParameter, Throwable) - 异常错误 的构造器org.springframework.web.server.ServerWebInputException
- Constructor for a 400 error with a root cause.
- service(HttpServletRequest, HttpServletResponse) - 类 中的方法org.springframework.web.context.support.HttpRequestHandlerServlet
- service(HttpServletRequest, HttpServletResponse) - 类 中的方法org.springframework.web.servlet.FrameworkServlet
- Override the parent class implementation in order to intercept PATCH requests.
- service(ServletRequest, ServletResponse) - 类 中的方法org.springframework.http.server.reactive.ServletHttpHandlerAdapter
- Service - org.springframework.stereotype中的注释类型
- Indicates that an annotated class is a "Service", originally defined by Domain-Driven Design (Evans, 2003) as "an operation offered as an interface that stands alone in the model, with no encapsulated state."
- SERVICE_OVERLOAD - 类 中的静态变量org.springframework.web.reactive.socket.CloseStatus
- "1013 indicates that the service is experiencing overload.
- SERVICE_OVERLOAD - 类 中的静态变量org.springframework.web.socket.CloseStatus
- "1013 indicates that the service is experiencing overload.
- SERVICE_RESTARTED - 类 中的静态变量org.springframework.web.reactive.socket.CloseStatus
- "1012 indicates that the service is restarted.
- SERVICE_RESTARTED - 类 中的静态变量org.springframework.web.socket.CloseStatus
- "1012 indicates that the service is restarted.
- SERVICE_UNAVAILABLE - org.springframework.http.HttpStatus
503 Service Unavailable.- ServiceFactoryBean - org.springframework.beans.factory.serviceloader中的类
FactoryBeanthat exposes the 'primary' service for the configured service class, obtained through the JDK 1.6ServiceLoaderfacility.- ServiceFactoryBean() - 类 的构造器org.springframework.beans.factory.serviceloader.ServiceFactoryBean
- ServiceListFactoryBean - org.springframework.beans.factory.serviceloader中的类
FactoryBeanthat exposes all services for the configured service class, represented as a List of service objects, obtained through the JDK 1.6ServiceLoaderfacility.- ServiceListFactoryBean() - 类 的构造器org.springframework.beans.factory.serviceloader.ServiceListFactoryBean
- ServiceLoaderFactoryBean - org.springframework.beans.factory.serviceloader中的类
FactoryBeanthat exposes the JDK 1.6ServiceLoaderfor the configured service class.- ServiceLoaderFactoryBean() - 类 的构造器org.springframework.beans.factory.serviceloader.ServiceLoaderFactoryBean
- ServiceLocatorFactoryBean - org.springframework.beans.factory.config中的类
- A
FactoryBeanimplementation that takes an interface which must have one or more methods with the signaturesMyType xxx()orMyType xxx(MyIdType id)(typically,MyService getService()orMyService getService(String id)) and creates a dynamic proxy which implements that interface, delegating to an underlyingBeanFactory. - ServiceLocatorFactoryBean() - 类 的构造器org.springframework.beans.factory.config.ServiceLocatorFactoryBean
- SERVLET_CONFIG_BEAN_NAME - 接口 中的静态变量org.springframework.web.context.ConfigurableWebApplicationContext
- Name of the ServletConfig environment bean in the factory.
- SERVLET_CONFIG_PROPERTY_SOURCE_NAME - 类 中的静态变量org.springframework.web.context.support.StandardServletEnvironment
- Servlet config init parameters property source name: "servletConfigInitParams".
- SERVLET_CONTEXT_BEAN_NAME - 接口 中的静态变量org.springframework.web.context.WebApplicationContext
- Name of the ServletContext environment bean in the factory.
- SERVLET_CONTEXT_PREFIX - 类 中的静态变量org.springframework.web.servlet.FrameworkServlet
- Prefix for the ServletContext attribute for the WebApplicationContext.
- SERVLET_CONTEXT_PROPERTY_SOURCE_NAME - 类 中的静态变量org.springframework.web.context.support.StandardServletEnvironment
- Servlet context init parameters property source name: "servletContextInitParams".
- ServletConfigAware - org.springframework.web.context中的接口
- Interface to be implemented by any object that wishes to be notified of the
ServletConfig(typically determined by theWebApplicationContext) that it runs in. - ServletConfigPropertySource - org.springframework.web.context.support中的类
PropertySourcethat reads init parameters from aServletConfigobject.- ServletConfigPropertySource(String, ServletConfig) - 类 的构造器org.springframework.web.context.support.ServletConfigPropertySource
- ServletContextAttributeExporter - org.springframework.web.context.support中的类
- Exporter that takes Spring-defined objects and exposes them as ServletContext attributes.
- ServletContextAttributeExporter() - 类 的构造器org.springframework.web.context.support.ServletContextAttributeExporter
- ServletContextAttributeFactoryBean - org.springframework.web.context.support中的类
FactoryBeanthat fetches a specific, existing ServletContext attribute.- ServletContextAttributeFactoryBean() - 类 的构造器org.springframework.web.context.support.ServletContextAttributeFactoryBean
- ServletContextAware - org.springframework.web.context中的接口
- Interface to be implemented by any object that wishes to be notified of the
ServletContext(typically determined by theWebApplicationContext) that it runs in. - ServletContextAwareProcessor - org.springframework.web.context.support中的类
BeanPostProcessorimplementation that passes the ServletContext to beans that implement theServletContextAwareinterface.- ServletContextAwareProcessor() - 类 的构造器org.springframework.web.context.support.ServletContextAwareProcessor
- Create a new ServletContextAwareProcessor without an initial context or config.
- ServletContextAwareProcessor(ServletConfig) - 类 的构造器org.springframework.web.context.support.ServletContextAwareProcessor
- Create a new ServletContextAwareProcessor for the given config.
- ServletContextAwareProcessor(ServletContext) - 类 的构造器org.springframework.web.context.support.ServletContextAwareProcessor
- Create a new ServletContextAwareProcessor for the given context.
- ServletContextAwareProcessor(ServletContext, ServletConfig) - 类 的构造器org.springframework.web.context.support.ServletContextAwareProcessor
- Create a new ServletContextAwareProcessor for the given context and config.
- ServletContextLiveBeansView - org.springframework.web.context.support中的类
LiveBeansViewsubclass which looks for all ApplicationContexts in the web application, as exposed in ServletContext attributes.- ServletContextLiveBeansView(ServletContext) - 类 的构造器org.springframework.web.context.support.ServletContextLiveBeansView
- Create a new LiveBeansView for the given ServletContext.
- ServletContextParameterFactoryBean - org.springframework.web.context.support中的类
FactoryBeanthat retrieves a specific ServletContext init parameter (that is, a "context-param" defined inweb.xml).- ServletContextParameterFactoryBean() - 类 的构造器org.springframework.web.context.support.ServletContextParameterFactoryBean
- ServletContextPropertySource - org.springframework.web.context.support中的类
PropertySourcethat reads init parameters from aServletContextobject.- ServletContextPropertySource(String, ServletContext) - 类 的构造器org.springframework.web.context.support.ServletContextPropertySource
- ServletContextPropertyUtils - org.springframework.web.util中的类
- Helper class for resolving placeholders in texts.
- ServletContextPropertyUtils() - 类 的构造器org.springframework.web.util.ServletContextPropertyUtils
- ServletContextRequestLoggingFilter - org.springframework.web.filter中的类
- Simple request logging filter that writes the request URI (and optionally the query string) to the ServletContext log.
- ServletContextRequestLoggingFilter() - 类 的构造器org.springframework.web.filter.ServletContextRequestLoggingFilter
- ServletContextResource - org.springframework.web.context.support中的类
Resourceimplementation forServletContextresources, interpreting relative paths within the web application root directory.- ServletContextResource(ServletContext, String) - 类 的构造器org.springframework.web.context.support.ServletContextResource
- Create a new ServletContextResource.
- ServletContextResourceLoader - org.springframework.web.context.support中的类
- ResourceLoader implementation that resolves paths as ServletContext resources, for use outside a WebApplicationContext (for example, in an HttpServletBean or GenericFilterBean subclass).
- ServletContextResourceLoader(ServletContext) - 类 的构造器org.springframework.web.context.support.ServletContextResourceLoader
- Create a new ServletContextResourceLoader.
- ServletContextResourcePatternResolver - org.springframework.web.context.support中的类
- ServletContext-aware subclass of
PathMatchingResourcePatternResolver, able to find matching resources below the web application root directory viaServletContext.getResourcePaths(java.lang.String). - ServletContextResourcePatternResolver(ServletContext) - 类 的构造器org.springframework.web.context.support.ServletContextResourcePatternResolver
- Create a new ServletContextResourcePatternResolver.
- ServletContextResourcePatternResolver(ResourceLoader) - 类 的构造器org.springframework.web.context.support.ServletContextResourcePatternResolver
- Create a new ServletContextResourcePatternResolver.
- ServletContextScope - org.springframework.web.context.support中的类
Scopewrapper for a ServletContext, i.e. for global web application attributes.- ServletContextScope(ServletContext) - 类 的构造器org.springframework.web.context.support.ServletContextScope
- Create a new Scope wrapper for the given ServletContext.
- ServletCookieValueMethodArgumentResolver - org.springframework.web.servlet.mvc.method.annotation中的类
- An
AbstractCookieValueMethodArgumentResolverthat resolves cookie values from anHttpServletRequest. - ServletCookieValueMethodArgumentResolver(ConfigurableBeanFactory) - 类 的构造器org.springframework.web.servlet.mvc.method.annotation.ServletCookieValueMethodArgumentResolver
- ServletForwardingController - org.springframework.web.servlet.mvc中的类
- Spring Controller implementation that forwards to a named servlet, i.e. the "servlet-name" in web.xml rather than a URL path mapping.
- ServletForwardingController() - 类 的构造器org.springframework.web.servlet.mvc.ServletForwardingController
- ServletHttpHandlerAdapter - org.springframework.http.server.reactive中的类
- Adapt
HttpHandlerto anHttpServletusing Servlet Async support and Servlet 3.1 non-blocking I/O. - ServletHttpHandlerAdapter(HttpHandler) - 类 的构造器org.springframework.http.server.reactive.ServletHttpHandlerAdapter
- ServletInvocableHandlerMethod - org.springframework.web.servlet.mvc.method.annotation中的类
- Extends
InvocableHandlerMethodwith the ability to handle return values through a registeredHandlerMethodReturnValueHandlerand also supports setting the response status based on a method-level@ResponseStatusannotation. - ServletInvocableHandlerMethod(Object, Method) - 类 的构造器org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod
- Creates an instance from the given handler and method.
- ServletInvocableHandlerMethod(HandlerMethod) - 类 的构造器org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod
- Create an instance from a
HandlerMethod. - ServletModelAttributeMethodProcessor - org.springframework.web.servlet.mvc.method.annotation中的类
- A Servlet-specific
ModelAttributeMethodProcessorthat applies data binding through a WebDataBinder of typeServletRequestDataBinder. - ServletModelAttributeMethodProcessor(boolean) - 类 的构造器org.springframework.web.servlet.mvc.method.annotation.ServletModelAttributeMethodProcessor
- Class constructor.
- servletPath(String) - 类 中的方法org.springframework.test.web.servlet.request.MockHttpServletRequestBuilder
- Specify the portion of the requestURI that represents the path to which the Servlet is mapped.
- ServletPathExtensionContentNegotiationStrategy - org.springframework.web.accept中的类
- 已过时。as of 5.2.4. See class-level note in
ContentNegotiationManagerFactoryBeanon the deprecation of path extension config options. - ServletPathExtensionContentNegotiationStrategy(ServletContext) - 类 的构造器org.springframework.web.accept.ServletPathExtensionContentNegotiationStrategy
- 已过时。Create an instance without any mappings to start with.
- ServletPathExtensionContentNegotiationStrategy(ServletContext, Map<String, MediaType>) - 类 的构造器org.springframework.web.accept.ServletPathExtensionContentNegotiationStrategy
- 已过时。Create an instance with the given extension-to-MediaType lookup.
- servletRequest() - 接口 中的方法org.springframework.web.servlet.function.ServerRequest
- Get the servlet request that this request is based on.
- ServletRequestAttributes - org.springframework.web.context.request中的类
- Servlet-based implementation of the
RequestAttributesinterface. - ServletRequestAttributes(HttpServletRequest) - 类 的构造器org.springframework.web.context.request.ServletRequestAttributes
- Create a new ServletRequestAttributes instance for the given request.
- ServletRequestAttributes(HttpServletRequest, HttpServletResponse) - 类 的构造器org.springframework.web.context.request.ServletRequestAttributes
- Create a new ServletRequestAttributes instance for the given request.
- ServletRequestBindingException - org.springframework.web.bind中的异常错误
- Fatal binding exception, thrown when we want to treat binding exceptions as unrecoverable.
- ServletRequestBindingException(String) - 异常错误 的构造器org.springframework.web.bind.ServletRequestBindingException
- Constructor for ServletRequestBindingException.
- ServletRequestBindingException(String, Throwable) - 异常错误 的构造器org.springframework.web.bind.ServletRequestBindingException
- Constructor for ServletRequestBindingException.
- ServletRequestDataBinder - org.springframework.web.bind中的类
- Special
DataBinderto perform data binding from servlet request parameters to JavaBeans, including support for multipart files. - ServletRequestDataBinder(Object) - 类 的构造器org.springframework.web.bind.ServletRequestDataBinder
- Create a new ServletRequestDataBinder instance, with default object name.
- ServletRequestDataBinder(Object, String) - 类 的构造器org.springframework.web.bind.ServletRequestDataBinder
- Create a new ServletRequestDataBinder instance.
- ServletRequestDataBinderFactory - org.springframework.web.servlet.mvc.method.annotation中的类
- Creates a
ServletRequestDataBinder. - ServletRequestDataBinderFactory(List<InvocableHandlerMethod>, WebBindingInitializer) - 类 的构造器org.springframework.web.servlet.mvc.method.annotation.ServletRequestDataBinderFactory
- Create a new instance.
- ServletRequestHandledEvent - org.springframework.web.context.support中的类
- Servlet-specific subclass of RequestHandledEvent, adding servlet-specific context information.
- ServletRequestHandledEvent(Object, String, String, String, String, String, String, long) - 类 的构造器org.springframework.web.context.support.ServletRequestHandledEvent
- Create a new ServletRequestHandledEvent.
- ServletRequestHandledEvent(Object, String, String, String, String, String, String, long, Throwable) - 类 的构造器org.springframework.web.context.support.ServletRequestHandledEvent
- Create a new ServletRequestHandledEvent.
- ServletRequestHandledEvent(Object, String, String, String, String, String, String, long, Throwable, int) - 类 的构造器org.springframework.web.context.support.ServletRequestHandledEvent
- Create a new ServletRequestHandledEvent.
- ServletRequestMethodArgumentResolver - org.springframework.web.servlet.mvc.method.annotation中的类
- Resolves servlet backed request-related method arguments.
- ServletRequestMethodArgumentResolver() - 类 的构造器org.springframework.web.servlet.mvc.method.annotation.ServletRequestMethodArgumentResolver
- ServletRequestParameterPropertyValues - org.springframework.web.bind中的类
- PropertyValues implementation created from parameters in a ServletRequest.
- ServletRequestParameterPropertyValues(ServletRequest) - 类 的构造器org.springframework.web.bind.ServletRequestParameterPropertyValues
- Create new ServletRequestPropertyValues using no prefix (and hence, no prefix separator).
- ServletRequestParameterPropertyValues(ServletRequest, String) - 类 的构造器org.springframework.web.bind.ServletRequestParameterPropertyValues
- Create new ServletRequestPropertyValues using the given prefix and the default prefix separator (the underscore character "_").
- ServletRequestParameterPropertyValues(ServletRequest, String, String) - 类 的构造器org.springframework.web.bind.ServletRequestParameterPropertyValues
- Create new ServletRequestPropertyValues supplying both prefix and prefix separator.
- ServletRequestUtils - org.springframework.web.bind中的类
- Parameter extraction methods, for an approach distinct from data binding, in which parameters of specific types are required.
- ServletRequestUtils() - 类 的构造器org.springframework.web.bind.ServletRequestUtils
- ServletResponseMethodArgumentResolver - org.springframework.web.servlet.mvc.method.annotation中的类
- Resolves servlet backed response-related method arguments.
- ServletResponseMethodArgumentResolver() - 类 的构造器org.springframework.web.servlet.mvc.method.annotation.ServletResponseMethodArgumentResolver
- ServletServerContainerFactoryBean - org.springframework.web.socket.server.standard中的类
- A
FactoryBeanfor configuringServerContainer. - ServletServerContainerFactoryBean() - 类 的构造器org.springframework.web.socket.server.standard.ServletServerContainerFactoryBean
- ServletServerHttpAsyncRequestControl - org.springframework.http.server中的类
- A
ServerHttpAsyncRequestControlto use on Servlet containers (Servlet 3.0+). - ServletServerHttpAsyncRequestControl(ServletServerHttpRequest, ServletServerHttpResponse) - 类 的构造器org.springframework.http.server.ServletServerHttpAsyncRequestControl
- Constructor accepting a request and response pair that are expected to be of type
ServletServerHttpRequestandServletServerHttpResponserespectively. - ServletServerHttpRequest - org.springframework.http.server中的类
ServerHttpRequestimplementation that is based on aHttpServletRequest.- ServletServerHttpRequest(HttpServletRequest) - 类 的构造器org.springframework.http.server.ServletServerHttpRequest
- Construct a new instance of the ServletServerHttpRequest based on the given
HttpServletRequest. - ServletServerHttpResponse - org.springframework.http.server中的类
ServerHttpResponseimplementation that is based on aHttpServletResponse.- ServletServerHttpResponse(HttpServletResponse) - 类 的构造器org.springframework.http.server.ServletServerHttpResponse
- Construct a new instance of the ServletServerHttpResponse based on the given
HttpServletResponse. - ServletTestExecutionListener - org.springframework.test.context.web中的类
TestExecutionListenerwhich provides mock Servlet API support toWebApplicationContextsloaded by the Spring TestContext Framework.- ServletTestExecutionListener() - 类 的构造器org.springframework.test.context.web.ServletTestExecutionListener
- ServletUriComponentsBuilder - org.springframework.web.servlet.support中的类
- UriComponentsBuilder with additional static factory methods to create links based on the current HttpServletRequest.
- ServletUriComponentsBuilder() - 类 的构造器org.springframework.web.servlet.support.ServletUriComponentsBuilder
- Default constructor.
- ServletUriComponentsBuilder(ServletUriComponentsBuilder) - 类 的构造器org.springframework.web.servlet.support.ServletUriComponentsBuilder
- Create a deep copy of the given ServletUriComponentsBuilder.
- ServletWebArgumentResolverAdapter - org.springframework.web.servlet.mvc.method.annotation中的类
- A Servlet-specific
AbstractWebArgumentResolverAdapterthat creates aNativeWebRequestfromServletRequestAttributes. - ServletWebArgumentResolverAdapter(WebArgumentResolver) - 类 的构造器org.springframework.web.servlet.mvc.method.annotation.ServletWebArgumentResolverAdapter
- ServletWebRequest - org.springframework.web.context.request中的类
WebRequestadapter for anHttpServletRequest.- ServletWebRequest(HttpServletRequest) - 类 的构造器org.springframework.web.context.request.ServletWebRequest
- Create a new ServletWebRequest instance for the given request.
- ServletWebRequest(HttpServletRequest, HttpServletResponse) - 类 的构造器org.springframework.web.context.request.ServletWebRequest
- Create a new ServletWebRequest instance for the given request/response pair.
- ServletWebSocketHandlerRegistration - org.springframework.web.socket.config.annotation中的类
- A helper class for configuring
WebSocketHandlerrequest handling including SockJS fallback options. - ServletWebSocketHandlerRegistration() - 类 的构造器org.springframework.web.socket.config.annotation.ServletWebSocketHandlerRegistration
- ServletWebSocketHandlerRegistry - org.springframework.web.socket.config.annotation中的类
WebSocketHandlerRegistrywith Spring MVC handler mappings for the handshake requests.- ServletWebSocketHandlerRegistry() - 类 的构造器org.springframework.web.socket.config.annotation.ServletWebSocketHandlerRegistry
- ServletWrappingController - org.springframework.web.servlet.mvc中的类
- Spring Controller implementation that wraps a servlet instance which it manages internally.
- ServletWrappingController() - 类 的构造器org.springframework.web.servlet.mvc.ServletWrappingController
- session() - 类 中的方法org.springframework.mock.web.reactive.function.server.MockServerRequest
- session() - 接口 中的方法org.springframework.web.reactive.function.server.ServerRequest
- Get the web session for this request.
- session() - 类 中的方法org.springframework.web.reactive.function.server.support.ServerRequestWrapper
- session() - 接口 中的方法org.springframework.web.servlet.function.ServerRequest
- Get the web session for this request.
- session(Principal) - 接口 中的方法org.springframework.mock.web.reactive.function.server.MockServerRequest.Builder
- 已过时。in favor of
MockServerRequest.Builder.principal(Principal) - session(MockHttpSession) - 类 中的方法org.springframework.test.web.servlet.request.MockHttpServletRequestBuilder
- Set the HTTP session to use, possibly re-used across requests.
- session(WebSession) - 接口 中的方法org.springframework.mock.web.reactive.function.server.MockServerRequest.Builder
- session(WebSession) - 类 中的方法org.springframework.mock.web.server.MockServerWebExchange.Builder
- Set the session to use for the exchange.
- SESSION - 类 中的静态变量org.springframework.messaging.simp.stomp.StompHeaders
- SESSION_ATTRIBUTES - 类 中的静态变量org.springframework.messaging.simp.SimpMessageHeaderAccessor
- SESSION_COMPLETED_NAME - 类 中的静态变量org.springframework.messaging.simp.SimpAttributes
- Key set after the session is completed.
- SESSION_COOKIE_NAME - 类 中的静态变量org.springframework.mock.web.MockHttpSession
- The session cookie name.
- SESSION_ID_HEADER - 类 中的静态变量org.springframework.messaging.simp.SimpMessageHeaderAccessor
- SESSION_MUTEX_ATTRIBUTE - 类 中的静态变量org.springframework.web.util.WebUtils
- Key for the mutex session attribute.
- SESSION_MUTEX_NAME - 类 中的静态变量org.springframework.messaging.simp.SimpAttributes
- Key for the mutex session attribute.
- SESSION_NOT_RELIABLE - 类 中的静态变量org.springframework.web.socket.CloseStatus
- A status code for use within the framework the indicate a session has become unreliable (e.g. timed out while sending a message) and extra care should be exercised, e.g. avoid sending any further data to the client that may be done during normal shutdown.
- SESSION_SYNCHRONIZATION_ORDER - 类 中的静态变量org.springframework.orm.hibernate5.SessionFactoryUtils
- Order value for TransactionSynchronization objects that clean up Hibernate Sessions.
- sessionAttr(String, Object) - 类 中的方法org.springframework.test.web.servlet.request.MockHttpServletRequestBuilder
- Set a session attribute.
- sessionAttribute(String, Object) - 类 中的方法org.springframework.test.web.servlet.result.RequestResultMatchers
- Assert a session attribute value.
- sessionAttribute(String, Matcher<T>) - 类 中的方法org.springframework.test.web.servlet.result.RequestResultMatchers
- Assert a session attribute value with the given Hamcrest
Matcher. - SessionAttribute - org.springframework.web.bind.annotation中的注释类型
- Annotation to bind a method parameter to a session attribute.
- sessionAttributeDoesNotExist(String...) - 类 中的方法org.springframework.test.web.servlet.result.RequestResultMatchers
- Assert the given session attributes do not exist.
- SessionAttributeMethodArgumentResolver - org.springframework.web.reactive.result.method.annotation中的类
- Resolves method arguments annotated with an @
SessionAttribute. - SessionAttributeMethodArgumentResolver - org.springframework.web.servlet.mvc.method.annotation中的类
- Resolves method arguments annotated with an @
SessionAttribute. - SessionAttributeMethodArgumentResolver() - 类 的构造器org.springframework.web.servlet.mvc.method.annotation.SessionAttributeMethodArgumentResolver
- SessionAttributeMethodArgumentResolver(ConfigurableBeanFactory, ReactiveAdapterRegistry) - 类 的构造器org.springframework.web.reactive.result.method.annotation.SessionAttributeMethodArgumentResolver
- SessionAttributes - org.springframework.web.bind.annotation中的注释类型
- Annotation that indicates the session attributes that a specific handler uses.
- SessionAttributesHandler - org.springframework.web.method.annotation中的类
- Manages controller-specific session attributes declared via
@SessionAttributes. - SessionAttributesHandler(Class<?>, SessionAttributeStore) - 类 的构造器org.springframework.web.method.annotation.SessionAttributesHandler
- Create a new session attributes handler.
- SessionAttributeStore - org.springframework.web.bind.support中的接口
- Strategy interface for storing model attributes in a backend session.
- sessionAttrs(Map<String, Object>) - 类 中的方法org.springframework.test.web.servlet.request.MockHttpServletRequestBuilder
- Set session attributes.
- SessionAwareMessageListener<M extends Message> - org.springframework.jms.listener中的接口
- Variant of the standard JMS
MessageListenerinterface, offering not only the received Message but also the underlying JMS Session object. - SessionCallback<T> - org.springframework.jms.core中的接口
- Callback for executing any number of operations on a provided
Session. - sessionCompleted() - 类 中的方法org.springframework.messaging.simp.SimpAttributes
- Invoked when the session is completed.
- SessionConnectedEvent - org.springframework.web.socket.messaging中的类
- A connected event represents the server response to a client's connect request.
- SessionConnectedEvent(Object, Message<byte[]>) - 类 的构造器org.springframework.web.socket.messaging.SessionConnectedEvent
- Create a new SessionConnectedEvent.
- SessionConnectedEvent(Object, Message<byte[]>, Principal) - 类 的构造器org.springframework.web.socket.messaging.SessionConnectedEvent
- SessionConnectEvent - org.springframework.web.socket.messaging中的类
- Event raised when a new WebSocket client using a Simple Messaging Protocol (e.g.
- SessionConnectEvent(Object, Message<byte[]>) - 类 的构造器org.springframework.web.socket.messaging.SessionConnectEvent
- Create a new SessionConnectEvent.
- SessionConnectEvent(Object, Message<byte[]>, Principal) - 类 的构造器org.springframework.web.socket.messaging.SessionConnectEvent
- sessionCreated(HttpSessionEvent) - 类 中的方法org.springframework.web.util.HttpSessionMutexListener
- sessionDestroyed(HttpSessionEvent) - 类 中的方法org.springframework.web.util.HttpSessionMutexListener
- SessionDisconnectEvent - org.springframework.web.socket.messaging中的类
- Event raised when the session of a WebSocket client using a Simple Messaging Protocol (e.g.
- SessionDisconnectEvent(Object, Message<byte[]>, String, CloseStatus) - 类 的构造器org.springframework.web.socket.messaging.SessionDisconnectEvent
- Create a new SessionDisconnectEvent.
- SessionDisconnectEvent(Object, Message<byte[]>, String, CloseStatus, Principal) - 类 的构造器org.springframework.web.socket.messaging.SessionDisconnectEvent
- Create a new SessionDisconnectEvent.
- SessionFactoryUtils - org.springframework.orm.hibernate5中的类
- Helper class featuring methods for Hibernate Session handling.
- SessionFactoryUtils() - 类 的构造器org.springframework.orm.hibernate5.SessionFactoryUtils
- SessionFlashMapManager - org.springframework.web.servlet.support中的类
- Store and retrieve
FlashMapinstances to and from the HTTP session. - SessionFlashMapManager() - 类 的构造器org.springframework.web.servlet.support.SessionFlashMapManager
- SessionHolder - org.springframework.orm.hibernate5中的类
- Resource holder wrapping a Hibernate
Session(plus an optionalTransaction). - SessionHolder(Session) - 类 的构造器org.springframework.orm.hibernate5.SessionHolder
- SessionLimitExceededException - org.springframework.web.socket.handler中的异常错误
- Raised when a WebSocket session has exceeded limits it has been configured for, e.g. timeout, buffer size, etc.
- SessionLimitExceededException(String, CloseStatus) - 异常错误 的构造器org.springframework.web.socket.handler.SessionLimitExceededException
- SessionLocaleResolver - org.springframework.web.servlet.i18n中的类
LocaleResolverimplementation that uses a locale attribute in the user's session in case of a custom setting, with a fallback to the specified default locale or the request's accept-header locale.- SessionLocaleResolver() - 类 的构造器org.springframework.web.servlet.i18n.SessionLocaleResolver
- sessionManager(WebSessionManager) - 类 中的方法org.springframework.mock.web.server.MockServerWebExchange.Builder
- Provide a
WebSessionManagerinstance to use with the exchange. - sessionManager(WebSessionManager) - 类 中的方法org.springframework.web.server.adapter.WebHttpHandlerBuilder
- Configure the
WebSessionManagerto set on theWebServerExchange. - SessionProxy - org.springframework.jms.connection中的接口
- Subinterface of
Sessionto be implemented by Session proxies. - SessionScope - org.springframework.web.context.request中的类
- Session-backed
Scopeimplementation. - SessionScope - org.springframework.web.context.annotation中的注释类型
@SessionScopeis a specialization of@Scopefor a component whose lifecycle is bound to the current web session.- SessionScope() - 类 的构造器org.springframework.web.context.request.SessionScope
- SessionStatus - org.springframework.web.bind.support中的接口
- Simple interface that can be injected into handler methods, allowing them to signal that their session processing is complete.
- SessionStatusMethodArgumentResolver - org.springframework.web.method.annotation中的类
- Resolves a
SessionStatusargument by obtaining it from theModelAndViewContainer. - SessionStatusMethodArgumentResolver - org.springframework.web.reactive.result.method.annotation中的类
- Resolver for a
SessionStatusargument obtaining it from theBindingContext. - SessionStatusMethodArgumentResolver() - 类 的构造器org.springframework.web.method.annotation.SessionStatusMethodArgumentResolver
- SessionStatusMethodArgumentResolver() - 类 的构造器org.springframework.web.reactive.result.method.annotation.SessionStatusMethodArgumentResolver
- SessionSubscribeEvent - org.springframework.web.socket.messaging中的类
- Event raised when a new WebSocket client using a Simple Messaging Protocol (e.g.
- SessionSubscribeEvent(Object, Message<byte[]>) - 类 的构造器org.springframework.web.socket.messaging.SessionSubscribeEvent
- SessionSubscribeEvent(Object, Message<byte[]>, Principal) - 类 的构造器org.springframework.web.socket.messaging.SessionSubscribeEvent
- SessionThemeResolver - org.springframework.web.servlet.theme中的类
[...]
